"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocalStorageCacheManager = void 0;
const StorageCacheManager_1 = require("./StorageCacheManager");
class LocalStorageCacheManager extends StorageCacheManager_1.StorageCacheManager {
    constructor(options) {
        var _a;
        super((_a = options === null || options === void 0 ? void 0 : options.bucket) !== null && _a !== void 0 ? _a : localStorage, options);
    }
    static getInstance(options) {
        if (!LocalStorageCacheManager.instance)
            LocalStorageCacheManager.instance = new LocalStorageCacheManager(options);
        return LocalStorageCacheManager.instance;
    }
}
exports.LocalStorageCacheManager = LocalStorageCacheManager;
