"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConnectionClosedError = void 0;
class ConnectionClosedError extends Error {
    constructor(message) {
        super(message !== null && message !== void 0 ? message : "The required connection has already been closed");
        Object.setPrototypeOf(this, ConnectionClosedError.prototype);
    }
}
exports.ConnectionClosedError = ConnectionClosedError;
