"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NoEventFoundWithIdError = void 0;
class NoEventFoundWithIdError extends Error {
    constructor(id) {
        super("No queued event found with the specified id: " + id);
        Object.setPrototypeOf(this, NoEventFoundWithIdError.prototype);
    }
}
exports.NoEventFoundWithIdError = NoEventFoundWithIdError;
