"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnregisteredRequestTypeError = void 0;
class UnregisteredRequestTypeError extends Error {
    constructor(type) {
        super("No request transformer registered for the request type: " + type);
        Object.setPrototypeOf(this, UnregisteredRequestTypeError.prototype);
    }
}
exports.UnregisteredRequestTypeError = UnregisteredRequestTypeError;
