"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SessionStorageCacheManager = void 0;
const StorageCacheManager_1 = require("./StorageCacheManager");
class SessionStorageCacheManager extends StorageCacheManager_1.StorageCacheManager {
    constructor(options) {
        var _a;
        super((_a = options === null || options === void 0 ? void 0 : options.bucket) !== null && _a !== void 0 ? _a : sessionStorage, options);
    }
    static getInstance(options) {
        if (!SessionStorageCacheManager.instance)
            SessionStorageCacheManager.instance = new SessionStorageCacheManager(options);
        return SessionStorageCacheManager.instance;
    }
}
exports.SessionStorageCacheManager = SessionStorageCacheManager;
