"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnregisteredCompressionTypeError = void 0;
class UnregisteredCompressionTypeError extends Error {
    constructor(type, flow) {
        super("No request transformer registered for the compression " + flow + " type: " + type);
        Object.setPrototypeOf(this, UnregisteredCompressionTypeError.prototype);
    }
}
exports.UnregisteredCompressionTypeError = UnregisteredCompressionTypeError;
