"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnregisteredResponseTypeError = void 0;
class UnregisteredResponseTypeError extends Error {
    constructor(type) {
        super("No response transformer registered for the response type: " + type);
        Object.setPrototypeOf(this, UnregisteredResponseTypeError.prototype);
    }
}
exports.UnregisteredResponseTypeError = UnregisteredResponseTypeError;
